%global momorel 3
#%%global svndate 20081227

Summary: A photographic lens database and a library for accessing it
Name: lensfun
Version: 0.2.3
Release: %{momorel}m%{?dist}
License: LGPLv3
Group: System Environment/Libraries
URL: http://lensfun.berlios.de/
Source0: http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: lensfun-0.2.3-trunk_db.patch
### svn version
### svn checkout http://svn.berlios.de/svnroot/repos/lensfun/trunk
#Source0: lensfun-0.2.3-svn%{svndate}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python
BuildRequires: doxygen
BuildRequires: glib2-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel

%description
The goal of the lensfun library is to provide a open source database
of photographic lenses and their characteristics. In the past there
was a effort in this direction (see http://www.epaperpress.com/ptlens/),
but then author decided to take the commercial route and the database
froze at the last public stage. This database was used as the basement
on which lensfun database grew, thanks to PTLens author which gave his
permission for this, while the code was totally rewritten from scratch
(and the database was converted to a totally new, XML-based format).

The lensfun library not only provides a way to read the database and
search for specific things in it, but also provides a set of algorithms
for correcting images based on detailed knowledge of lens properties
and calibration data. Right now lensfun is designed to correct distortion,
transversal (also known as lateral) chromatic aberrations, vignetting
and colour contribution index of the lens.


%package devel
Summary: lensfun development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Header and library definition files for developing applications
that use the lensfun library/database.


%prep
%{__rm} -rf --preserve-root %{buildroot}


#%%setup -q -n %{name}-%{version}.%{svndate}
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .trunk

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
LD="%{__cxx}" \
./configure   --prefix=%{_prefix} \
  --cflags="${CFLAGS:-%optflags}"  \
  --cxxflags="${CXXFLAGS:-%optflags}" \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir}/lensfun \
  --libdir=%{_libdir} \
  --includedir=%{_includedir} \
  --libexecdir=%{_libexecdir} \
  --target=..generic
make AUTODEP=0 %{?_smp_mflags} lensfun manual V=1 GCC.LDFLAGS.release=""


%install
%{__rm} -rf %{buildroot}
make AUTODEP=0 INSTALL_PREFIX=%{?buildroot:%{buildroot}} install


%clean
%{__rm} -rf --preserve-root %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}/
%{_docdir}/%{name}-%{version}/README
%{_docdir}/%{name}-%{version}/*.txt
%{_datadir}/lensfun/
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/manual/
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/lensfun.pc

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.3-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.2.3-2m)
- append "NoSource: 0"

* Tue Dec 30 2008 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.2.3-1m)
- Initial specfile for Momonga.
